package com.ruoyi.system.answer.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 1题库对象 question_bank
 * 
 * @author ruoyi
 * @date 2024-09-12
 */
public class QuestionBank extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long questionId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String questionText;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String questionType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String questionDiff;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String aChoice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String bChoice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cChoice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dChoice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String rightAnswer;

    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setQuestionText(String questionText) 
    {
        this.questionText = questionText;
    }

    public String getQuestionText() 
    {
        return questionText;
    }
    public void setQuestionType(String questionType) 
    {
        this.questionType = questionType;
    }

    public String getQuestionType() 
    {
        return questionType;
    }
    public void setQuestionDiff(String questionDiff) 
    {
        this.questionDiff = questionDiff;
    }

    public String getQuestionDiff() 
    {
        return questionDiff;
    }
    public void setaChoice(String aChoice) 
    {
        this.aChoice = aChoice;
    }

    public String getaChoice() 
    {
        return aChoice;
    }
    public void setbChoice(String bChoice) 
    {
        this.bChoice = bChoice;
    }

    public String getbChoice() 
    {
        return bChoice;
    }
    public void setcChoice(String cChoice) 
    {
        this.cChoice = cChoice;
    }

    public String getcChoice() 
    {
        return cChoice;
    }
    public void setdChoice(String dChoice) 
    {
        this.dChoice = dChoice;
    }

    public String getdChoice() 
    {
        return dChoice;
    }
    public void setRightAnswer(String rightAnswer) 
    {
        this.rightAnswer = rightAnswer;
    }

    public String getRightAnswer() 
    {
        return rightAnswer;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("questionId", getQuestionId())
            .append("questionText", getQuestionText())
            .append("questionType", getQuestionType())
            .append("questionDiff", getQuestionDiff())
            .append("aChoice", getaChoice())
            .append("bChoice", getbChoice())
            .append("cChoice", getcChoice())
            .append("dChoice", getdChoice())
            .append("rightAnswer", getRightAnswer())
            .toString();
    }
}
