package com.ruoyi.system.answer.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 每日答题赛对象 question_match
 * 
 * @author ruoyi
 * @date 2024-09-13
 */
public class QuestionMatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 比赛ID */
    private Long matchId;

    /** 序号 */
    @Excel(name = "序号")
    private String matchSeq;

    /** 难度 */
    @Excel(name = "难度")
    private String matchDiff;

    public void setMatchId(Long matchId) 
    {
        this.matchId = matchId;
    }

    public Long getMatchId() 
    {
        return matchId;
    }
    public void setMatchSeq(String matchSeq) 
    {
        this.matchSeq = matchSeq;
    }

    public String getMatchSeq() 
    {
        return matchSeq;
    }
    public void setMatchDiff(String matchDiff) 
    {
        this.matchDiff = matchDiff;
    }

    public String getMatchDiff() 
    {
        return matchDiff;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("matchId", getMatchId())
            .append("matchSeq", getMatchSeq())
            .append("matchDiff", getMatchDiff())
            .toString();
    }
}
