package com.ruoyi.system.answer.base.service;

import java.util.List;
import com.ruoyi.system.answer.base.domain.QuestionMatchOnehundred;

/**
 * 百元挑战赛Service接口
 * 
 * @author ruoyi
 * @date 2024-09-13
 */
public interface IQuestionMatchOnehundredService 
{
    /**
     * 查询百元挑战赛
     * 
     * @param matchId 百元挑战赛主键
     * @return 百元挑战赛
     */
    public QuestionMatchOnehundred selectQuestionMatchOnehundredByMatchId(Long matchId);

    /**
     * 查询百元挑战赛列表
     * 
     * @param questionMatchOnehundred 百元挑战赛
     * @return 百元挑战赛集合
     */
    public List<QuestionMatchOnehundred> selectQuestionMatchOnehundredList(QuestionMatchOnehundred questionMatchOnehundred);

    /**
     * 新增百元挑战赛
     * 
     * @param questionMatchOnehundred 百元挑战赛
     * @return 结果
     */
    public int insertQuestionMatchOnehundred(QuestionMatchOnehundred questionMatchOnehundred);

    /**
     * 修改百元挑战赛
     * 
     * @param questionMatchOnehundred 百元挑战赛
     * @return 结果
     */
    public int updateQuestionMatchOnehundred(QuestionMatchOnehundred questionMatchOnehundred);

    /**
     * 批量删除百元挑战赛
     * 
     * @param matchIds 需要删除的百元挑战赛主键集合
     * @return 结果
     */
    public int deleteQuestionMatchOnehundredByMatchIds(Long[] matchIds);

    /**
     * 删除百元挑战赛信息
     * 
     * @param matchId 百元挑战赛主键
     * @return 结果
     */
    public int deleteQuestionMatchOnehundredByMatchId(Long matchId);
}
